Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Ahultasunak ISC BIND zerbitzarietan

Argitalpen data: 2018/08/09

Garrantzia: Handia

Kaltetutako baliabideak:

BINDen kaltetutako bertsioak honakoak dira:

  • 9.7.0tik 9.8.8ra bitartekoak, 9.9.0tik 9.9.13ra bitartekoak, 9.10.0tik 9.10.8ra bitartekoak, 9.11.0tik 9.11.4ra bitartekoak, 9.12.0tik 9.12.2ra bitartekoak, 9.13.0tik 9.13.2ra bitartekoak

Azalpena:

Internet Systems Consortiumek (ISC) ahultasun bati buruzko segurtasun ohartarazpen bat argitaratu du, ISC Berkeley Internet Name Domain-en (BIND) hainbat bertsiori eragiten diena. Urruneko erasotzaile batek ahultasun hori balia lezake zerbitzuaren ukapena eragiteko.

Konponbidea:

Operadore gehienek ez dute aldaketarik egin behar izango, "deny-answer-aliases" funtzioa erabiltzen ari ez diren bitartean, lehenespenez desgaituta dagoena. Soilik funtzio hori bereziki gaitzen duten konfigurazioek jasan lezakete ahultasun honen kaltea.

"Deny-answer-aliases" erabiltzen baduzu, zure oraingo BIND bertsiotik gertuen dagoen partxedun bertsiora egunera ezazu.

  • 9.9.13-P1
  • 9.10.8-P1
  • 9.11.4-P1
  • 9.12.2-P1

BIND Supported Preview Edition-en kasuan.

  • 9.11.3-S3

Xehetasuna:

BINDek gutxi erabiltzen den "deny-answer-aliases" izeneko ezaugarri bat dauka. Horren bitartez zerbitzari errekurtsiboen operadoreei lagundu egiten zaie azken erabiltzaileak babesten DNSen berrestekatze erako (DNS rebinding) erasoen aurrean. Eraso mota hori balia daiteke bezeroen nabigatzaileek erabiltzen dituzten segurtasun ereduak saihesteko. Nolanahi ere, funtzio horrek duen akats baten eraginez, erabiltzen ari denean erraza da INSIST txertaketako akats bat izatea name.c fitxategian. Ahultasun horretarako CVE-2018-5740 identifikatzailea erabili da.

Etiketak: Eguneraketa, DNS, Ahultasuna